summaryrefslogtreecommitdiffhomepage
path: root/ogg/autogen.sh
diff options
context:
space:
mode:
authorAki <please@ignore.pl>2021-10-01 23:46:47 +0200
committerAki <please@ignore.pl>2021-10-01 23:46:47 +0200
commitddd76aa4e1571c8d5965709db5c3cd47a89c9a38 (patch)
tree4e07bfaebede6531a70984fdebc855bca52f394a /ogg/autogen.sh
parent3a507e08b1d4e5970b27401a7e6517570d529400 (diff)
parentc2d2c3551501110fddd78674d5435bfaa70382a3 (diff)
downloadstarshatter-ddd76aa4e1571c8d5965709db5c3cd47a89c9a38.zip
starshatter-ddd76aa4e1571c8d5965709db5c3cd47a89c9a38.tar.gz
starshatter-ddd76aa4e1571c8d5965709db5c3cd47a89c9a38.tar.bz2
Project is now built with CMake
Diffstat (limited to 'ogg/autogen.sh')
-rwxr-xr-xogg/autogen.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/ogg/autogen.sh b/ogg/autogen.sh
new file mode 100755
index 0000000..c9782e1
--- /dev/null
+++ b/ogg/autogen.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+# Run this to set up the build system: configure, makefiles, etc.
+set -e
+
+package="libogg"
+
+srcdir=`dirname $0`
+test -n "$srcdir" && cd "$srcdir"
+
+echo "Updating build configuration files for $package, please wait...."
+
+autoreconf -if